var should = require('should');
var partner = require('./partner-bayarkilat');

describe('#partner-bayarkilat', function() {

    describe('#prepareRemoteProductCode', function() {
        product = partner.prepareRemoteProductCode('PULSA,TELKOMSEL10,10000');

        it('should return correct object', function() {
            product.product.should.equal('PULSA');
            product.productDetail.should.equal('TELKOMSEL10');
            product.nominal.should.equal('10000');
        });
    });

    describe('#paddingDestination', function() {
        it('should return correct padded destination', function() {
            partner.paddingDestination('0812').should.equal('0000000000812');
            partner.paddingDestination('0812', 14).should.equal('00000000000812');
            partner.paddingDestination('0812', 2).should.equal('0812');
        });
    });
});
